summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorblallo2020-01-28 19:09:21 +0100
committerblallo2020-01-28 19:09:21 +0100
commit07b64cebc778e3278e08b59e183ce2e6cd3dd0a2 (patch)
treeecaadc952dd97b6f73a0ebb45760d9bd0d58d6da
downloadaur-07b64cebc778e3278e08b59e183ce2e6cd3dd0a2.tar.gz
Created.
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD39
2 files changed, 56 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..071e793b2cc
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = doh-curl-git
+ pkgdesc = stand-alone application for DoH (DNS-over-HTTPS) name resolves and lookups
+ pkgver = doh.0.1.r16.gacc9ab5
+ pkgrel = 1
+ url = https://github.com/curl/doh
+ arch = any
+ license = MIT
+ makedepends = git
+ makedepends = make
+ makedepends = gcc
+ depends = gcc-libs
+ provides = doh
+ source = git://github.com/curl/doh.git
+ sha256sums = SKIP
+
+pkgname = doh-curl-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..ed16ab81dfa
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer: blallo <blallo@autistici.org>
+
+pkgname=doh-curl-git
+pkgrel=1
+pkgver=doh.0.1.r16.gacc9ab5
+pkgdesc='stand-alone application for DoH (DNS-over-HTTPS) name resolves and lookups'
+arch=(any)
+url=https://github.com/curl/doh
+license=('MIT')
+depends=('gcc-libs')
+makedepends=('git' 'make' 'gcc')
+source=("git://github.com/curl/doh.git")
+sha256sums=('SKIP')
+provides=('doh')
+pkgver() {
+ cd "$srcdir/doh"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "$srcdir/doh"
+ make
+}
+
+package() {
+ local BINDIR=/usr/bin
+ local MANDIR=/usr/share/man
+ cd "$srcdir/doh"
+ install -d "$pkgdir$BINDIR"
+ install -m 0755 doh "$pkgdir$BINDIR"
+ install -d "$pkgdir$MANDIR/man1/"
+ install -m 0744 doh.1 "$pkgdir$MANDIR/man1/"
+ install -Dm644 LICENSE "$pkgdir/usr/share/licenses/doh/LICENSE"
+}
+
+# vim:set ts=2 sw=2 et: